
Application: gvSIG desktop - gvSIG bugs #476
Editing. Continue editing. Finish edition sesion. Imposible to continue editing. 
03/27/2012 01:55 PM - Victoria Agazzi

Status: Closed % Done: 0%
Priority: Urgent Spent time: 0.00 hour
Assignee: Cesar Ordiñana
Category: Vector editing
Target version: 2.0.0-alpha5
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2045 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Tools: Geometry editing (org.gvsig.editing)
Description

Hi, 
I did the following steps:
1. start editing, 
2. edit some geometries, 
3. Finish editing sesion, select "Continue editing" 
4. edit another geometry, 
5. Finish the editing session, select Don't save changes. 
6. Start editing session again, 
7. the edition tools in the menu bar are not active (unless copy, rotate and scale).

It is impossible to continue editing. 
I attach an image which shows the tools unactive.

After that I tried to apply one of the 3 possible tools (copy, rotate and scale) and the console appears. I attach the log file.

Thanks!

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 474: Editing. Continue E... Closed 03/27/2012

History
#1 - 03/27/2012 01:55 PM - Victoria Agazzi
- File gvSIG.log added

#2 - 04/06/2012 07:48 PM - Manuel Madrid
- Priority changed from Normal to Urgent

#3 - 04/08/2012 09:53 PM - Joaquín  del Cerro Murciano
- Target version set to 2.0.0-alpha5

#4 - 04/23/2012 07:35 PM - Cesar Ordiñana
- Status changed from New to In progress
- Assignee set to Cesar Ordiñana

#5 - 04/23/2012 07:37 PM - Cesar Ordiñana
- Status changed from In progress to Awaiting response

I have been trying many times to reproduce the error but I haven't been unable to do so.

Maybe it is related to the edition tools being used, or the layer type, don't know.

Would you mind trying to reproduce it again and give me the steps performed, as well as the data source being edited, just in case?

#6 - 04/24/2012 04:00 PM - Victoria Agazzi

I tested the same steps in the builds 2045 and 2046, with the same shp layer and the problem do not happen again. Maybe it has to do with the editing
tools used, but I don't remember which one I used! when I opened the ticket. Sorry.

Viqui-.

#7 - 04/27/2012 02:04 PM - Cesar Ordiñana
- Status changed from Awaiting response to Closed

Don't worry, I'm going to close the ticket and we can reopen it if the error raises again.

Files
Pantallazo-1.png 124 KB 03/27/2012 Victoria Agazzi
gvSIG.log 113 KB 03/27/2012 Victoria Agazzi
